Bug 511844 - GMT should use compat-readline5
Summary: GMT should use compat-readline5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: GMT
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 511295
TreeView+ depends on / blocked
 
Reported: 2009-07-15 11:22 UTC by Miroslav Lichvar
Modified: 2010-11-20 00:06 UTC (History)
4 users (show)

Fixed In Version: GMT-4.5.5-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-19 00:00:58 UTC
Type: ---


Attachments (Terms of Use)

Description Miroslav Lichvar 2009-07-15 11:22:36 UTC
Description of problem:
The readline package in rawhide was updated to new 6.0 release which changes the license to GPLv3+. As GMT is GPLv2, it should be built with the older readline (packaged in compat-readline5) to avoid licensing incompatibility.

GMT doesn't seem to use readline directly, but through octave which is GPLv2+. I'm not sure how exactly is readline picked up in GMT build process, maybe this needs to be addressed in octave?

Comment 1 Orion Poplawski 2009-07-24 00:30:09 UTC
Next release of GMT will be at least GPLv3.  They updating the COPYING file in the current release but not the source headers.  This will be fixed in the next release.

Comment 2 Bug Zapper 2009-11-16 10:59:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-11-04 10:46:12 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora Update System 2010-11-08 17:46:48 UTC
GMT-4.5.5-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/GMT-4.5.5-2.fc12

Comment 5 Fedora Update System 2010-11-08 17:46:55 UTC
GMT-4.5.5-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/GMT-4.5.5-2.fc13

Comment 6 Fedora Update System 2010-11-08 17:47:02 UTC
GMT-4.5.5-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/GMT-4.5.5-2.fc14

Comment 7 Fedora Update System 2010-11-10 01:05:24 UTC
GMT-4.5.5-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update GMT'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/GMT-4.5.5-2.fc14

Comment 8 Fedora Update System 2010-11-19 00:00:53 UTC
GMT-4.5.5-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-11-19 00:02:37 UTC
GMT-4.5.5-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-11-19 00:08:38 UTC
GMT-4.5.5-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Alex Lancaster 2010-11-19 22:35:46 UTC
(In reply to comment #1)
> Next release of GMT will be at least GPLv3.  They updating the COPYING file in
> the current release but not the source headers.  This will be fixed in the next
> release.

Does this mean the -octave subpackage can be added back in the next release of GMT?  Perhaps we could package the release candidate (if there is one) to avoid the loss of the -octave subpackage.

Comment 12 Orion Poplawski 2010-11-19 22:52:52 UTC
Actually, the latest word is that they are sticking with GPLv2 for now.  No word on when they will change.  When that happens, I will re-add the octave package.

Comment 13 Alex Lancaster 2010-11-19 23:45:09 UTC
(In reply to comment #12)
> Actually, the latest word is that they are sticking with GPLv2 for now.  No
> word on when they will change.  When that happens, I will re-add the octave
> package.

Just GPLv2, not GPLv2+, because wouldn't GPLv2+ and GPLv3+ be compatible?

Comment 14 Orion Poplawski 2010-11-20 00:06:50 UTC
> (In reply to comment #12)
> Just GPLv2, not GPLv2+, because wouldn't GPLv2+ and GPLv3+ be compatible?

Yup.


Note You need to log in before you can comment on or make changes to this bug.